PTHREAD_CLEANUP_PUSH(3)

NAME
pthread_cleanup_push - add a cleanup function for thread exit

SYNOPSIS
#include <pthread.h>
void
pthread_cleanup_push(void *routinevoid *, void *arg);

DESCRIPTION
The pthread_cleanup_push() function adds routine to the top of the stack of cleanup handlers that get called when the current thread exits.

When routine is called, it is passed arg as its only argument. pthread_cleanup_push() must be paired with a corresponding pthread_cleanup_pop(3) in the same lexical scope.

RETURN VALUES
pthread_cleanup_push() does not return any value.

ERRORS
None

SEE ALSO
pthread_cleanup_pop(3), pthread_exit(3)

STANDARDS
pthread_cleanup_push() conforms to p1003.1-96.